<template>
    <div class="bs-callout" :class="getClass" :style="cssStyle" :id="id">
        <slot>

        </slot>
    </div>
</template>

<script type="text/ecmascript-6">/* eslint-disable */
    export default {
        name: 'GameWinnerInfo',
        props: {
            type: {
                type:String,
                required: false,
                default: 'info'
            },
            id: {
                type: String,
                required: false,
                default: ''
            },
            className: {
                type: String,
                required: false,
                default: ''
            },
            cssStyle: {
                type: String,
                required: false,
                default: ''
            },
        },
        computed: {
            getClass() {
                let typeClass;

                switch (this.type) {
                    case 'info':
                        typeClass = "bs-callout-info";
                        break;
                    case 'success':
                        typeClass = "bs-callout-success";
                        break;
                    default:
                        typeClass = "bs-callout-info";
                        break;
                }

                return typeClass + ' ' + this.className
            },
        }
    }
</script>
<style lang="scss">
    .bs-callout {
        padding: 1rem;
        margin: 2rem 0;
        border: 1px solid #eee;
        border-left-width: .5rem;
        border-radius: .3rem;
        background-color: #fff;
        &-info {
            border-left-color: #428bca;
            color: #428bca;
            font-size: 2rem;
        }
        &-success {
            border-left-color: #5cb85c;
            color: #5cb85c;
            font-size: 2rem;
        }
    }

</style>
